import QtQuick 1.1
import qb.components 1.0
import BasicUIControls 1.0;
import "buienradar.js" as BuienradarJS

Tile {
	id: root
	property string displayScale: BuienradarJS.formatScale(app.regenMaxValue, app.yaxisScale)

	onClicked: {
		app.lonlatmapsource = "http://toon/"
		app.lonlatmapsource = "http://maps.googleapis.com/maps/api/staticmap?center=" + app.lat + "," + app.lon + "&zoom=13&size=300x300&markers="  + app.lat + "," + app.lon;
		if (app.buienradarEditLonLatScreen) {
			app.buienradarEditLonLatScreen.show();
		}
	}

	Text {
		id: buienradarRegenTileTitleText
		anchors {
			baseline: parent.top
			baselineOffset: 30
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.regular.name
			pixelSize: 16
		}
		color: colors.tileTextColor
		text: "Regenverwachting"
		visible: app.showRain
	}

	Text {
		id: buienradarRegenTileTitleText2
		anchors {
			baseline: parent.top
			baselineOffset: 90
			horizontalCenter: parent.horizontalCenter
		}
		font {
			family: qfont.regular.name
			pixelSize: 16
		}
		color: colors.tileTextColor
		text: "Geen neerslag verwacht"
		visible: !app.showRain
	}

	Item {
		id: brgraphItem

		anchors {
			bottom: parent.bottom
			bottomMargin: 41
			horizontalCenter: parent.horizontalCenter
		}
		height: 72
		width: 160

		AreaGraphControl {
			id: areaGraph

			width: parent.width
			height: parent.height
			color: colors.graphTileRect
			yScale: app.yaxisScale ? (height / app.yaxisScale) : (height / app.regenMaxValue)
			showNaN: false
			values: app.regenVerwachting
		}
		visible: app.showRain
		
	}

	Text {
		id: buienradarYaxis
		anchors {
			baseline: parent.top
			baselineOffset: 45
			left: parent.left
		}
		font {
			family: qfont.regular.name
			pixelSize: 16
		}
		color: colors.tileTextColor
		text: app.yaxisScale ? app.yaxisScale : app.regenMaxValue
		visible: app.showRain
	}

	Text {
		id: buienradarYaxismm
		anchors {
			baseline: parent.top
			baselineOffset: 60
			left: parent.left
		}
		font {
			family: qfont.regular.name
			pixelSize: 16
		}
		color: colors.tileTextColor
		text: "mm"
		visible: app.showRain
	}


	Rectangle {
		id: lineYaxis
		color: colors.graphTileRect
		height: 72
		width: 2
		anchors {
			bottom: parent.bottom
			bottomMargin: 41
			left: parent.left
			leftMargin: 33
		}
		visible: app.showRain
	}

	Rectangle {
		id: lineYaxisTopMarker1
		color: colors.graphTileRect
		height: 1
		width: 10
		anchors {
			bottom: parent.bottom
			bottomMargin: 113
			left: parent.left
			leftMargin: 28
		}
		visible: app.showRain
	}

	Rectangle {
		id: lineYaxisTopMarker2
		color: colors.graphTileRect
		height: 1
		width: 8
		anchors {
			bottom: parent.bottom
			bottomMargin: 95
			left: parent.left
			leftMargin: 28
		}
		visible: app.showRain
	}

	Rectangle {
		id: lineYaxisTopMarker3
		color: colors.graphTileRect
		height: 1
		width: 8
		anchors {
			bottom: parent.bottom
			bottomMargin: 77
			left: parent.left
			leftMargin: 28
		}
		visible: app.showRain
	}

	Rectangle {
		id: lineYaxisTopMarker4
		color: colors.graphTileRect
		height: 1
		width: 8
		anchors {
			bottom: parent.bottom
			bottomMargin: 59
			left: parent.left
			leftMargin: 28
		}
		visible: app.showRain
	}


	Text {
		id: leftTimeText
		anchors {
			horizontalCenter: brgraphItem.left
			baseline: brgraphItem.bottom
			baselineOffset: 25
		}
		font {
			family: qfont.regular.name
			pixelSize: 20
		}
		color: colors.tileTextColor
		text: app.regenVerwachtingVanaf
		visible: app.showRain
	}

	Text {
		id: rightTimeText
		anchors {
			horizontalCenter: brgraphItem.right
			baseline: brgraphItem.bottom
			baselineOffset: 25
		}
		font {
			family: qfont.regular.name
			pixelSize: 20
		}
		color: colors.tileTextColor
		text: app.regenVerwachtingTot
		visible: app.showRain
	}

}
